Package ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost

# Class ForpostBase

java.lang.Object
ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostBase

All Implemented Interfaces:
  `Idable`

Direct Known Subclasses:
  `ForpostAccount`, `ForpostCamera`, `ForpostGroup`, `ForpostObject`, `ForpostUser`

    public class ForpostBase
    extends java.lang.Object
    implements Idable

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ForpostBase()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.Object` | `get​(java.lang.String key)` |
  `java.lang.String` | `getData()` |
  `int` | `getId()` | Возвращает id объекта
  `int` | `getInt​(java.lang.String key, int defaultValue)` |
  `java.lang.String` | `getString​(java.lang.String key)` |
  `java.lang.String` | `getString​(java.lang.String key, java.lang.String defaultValue)` |
  `void` | `put​(java.lang.String name, java.lang.Object value)` |
  `void` | `setData​(java.lang.String data)` |
  `void` | `setId​(int id)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ForpostBase

    public ForpostBase()

- ## Method Details

  - ### getId

    public int getId()
    Description copied from interface: `Idable`
    Возвращает id объекта
    Specified by:
      `getId` in interface `Idable`
    Returns:

  - ### setId

    public void setId​(int id)

  - ### put

    public void put​(java.lang.String name, java.lang.Object value)

  - ### get

    public java.lang.Object get​(java.lang.String key)

  - ### getString

    public java.lang.String getString​(java.lang.String key)

  - ### getString

    public java.lang.String getString​(java.lang.String key, java.lang.String defaultValue)

  - ### getInt

    public int getInt​(java.lang.String key, int defaultValue)

  - ### getData

    public java.lang.String getData()

  - ### setData

    public void setData​(java.lang.String data)